Subject: [bug#38630] Software Heritage (swh): Fix API change, causing repeatedly submitting archives

From: Ludovic Courtès <[email-masked]>
Date: Tue, 17 Dec 2019 17:41:04 +0100

Hello!

Björn Höfling <[email-masked]> skribis:

> when linting, I recognized that the archival linter was repeatedly
> sending packages to the SWH, despite that the package was already
> archived.
>
> With some investigations, I noticed they changed the API. Here's a
> patch that fixes it.

Good catch!

> I have not communicated with SWH about that, especially I have not asked
> SWH why they broke the API without updating the version number.

Yeah, that’s weird, I’ve pinged them on IRC.

It seems that the removal was intentional as part of
<https://forge.softwareheritage.org/D2167>, but it wasn’t clear whether
the API breakage should have happened.  This led them to open a new
task: <https://forge.softwareheritage.org/T2158>.  We should keep an eye
on it.

> From a5ada85d168b45d517d8faf0d79ad5beccc26911 Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?Bj=C3=B6rn=20H=C3=B6fling?=
>  <[email-masked]>
> Date: Sun, 15 Dec 2019 22:00:56 +0100
> Subject: [PATCH] swh: Fix API call for getting origin.
>
> When using the archival linter, git origins already in the archive where
> not recognized due to an API change and where repeatedly asked for archival.
> This is fixed here.
>
> * guix/swh.scm (lookup-origin): Fix API URI for getting origin.
> (<origin>): Fix comment with API URI example.

In the meantime, your patch looks like the right move, so you can push it.

Thank you!

Ludo’.